Page MenuHomePhabricator

Don't run mwext-php70-phan-docker on extension branches that don't have phan config
Closed, ResolvedPublic

Description

https://integration.wikimedia.org/ci/job/mwext-php70-phan-docker/5471/console

23:31:05 [mwext-php70-phan-docker] $ /bin/bash -eu /tmp/jenkins3800124427266606722.sh
23:31:05 ++ pwd
23:31:05 + exec docker run --rm --volume /srv/jenkins-workspace/workspace/mwext-php70-phan-docker/src:/mediawiki docker-registry.wikimedia.org/releng/mediawiki-phan:0.1.1 /mediawiki/extensions/PdfHandler -m checkstyle
23:31:05 + umask 002
23:31:05 + /mediawiki/tests/phan/bin/phan /mediawiki/extensions/PdfHandler -m checkstyle
23:31:05 Could not find a phan config file to apply in
23:31:05 /mediawiki/extensions/PdfHandler/tests/phan/config.php
23:31:05 Build step 'Execute shell' marked build as failure
23:31:05 [CHECKSTYLE] Collecting checkstyle analysis files...
23:31:05 [CHECKSTYLE] Searching for all files in /srv/jenkins-workspace/workspace/mwext-php70-phan-docker that match the pattern log/phan-issues
23:31:05 [CHECKSTYLE] No files found. Configuration error?
23:31:05 [CHECKSTYLE] Computing warning deltas based on reference build #5469
23:31:05 [CHECKSTYLE] Ignore new warnings since this is the first valid build
23:31:05 [CHECKSTYLE] Plug-in Result: Success - no threshold has been exceeded
23:31:05 Finished: FAILURE

MediaWiki-extensions-PdfHandler has phan on master. Not in older branches, so tests fail :(

Event Timeline

Reedy created this task.Apr 26 2018, 11:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2018, 11:36 PM

Change 429365 had a related patch set (by Reedy) published:
[integration/config@master] Don't run PdfHandler phan jobs on older branches

https://gerrit.wikimedia.org/r/429365

I would suspect this is a wider issue; any extension running phan tests... Patches to older branches will fail :(

reedy@ubuntu64-web-esxi:~/integration-config/zuul$ grep "name: extension-phan-generic" layout.yaml -B 5 | grep mediawiki/extensions
  - name: mediawiki/extensions/AntiSpoof
  - name: mediawiki/extensions/CategoryTree
  - name: mediawiki/extensions/Cite
  - name: mediawiki/extensions/CiteThisPage
  - name: mediawiki/extensions/CirrusSearch
  - name: mediawiki/extensions/CodeEditor
  - name: mediawiki/extensions/Cognate
  - name: mediawiki/extensions/ElectronPdfService
  - name: mediawiki/extensions/Gadgets
  - name: mediawiki/extensions/GeoData
  - name: mediawiki/extensions/ImageMap
  - name: mediawiki/extensions/InputBox
  - name: mediawiki/extensions/Interwiki
  - name: mediawiki/extensions/InterwikiSorting
  - name: mediawiki/extensions/LocalisationUpdate
  - name: mediawiki/extensions/LoginNotify
  - name: mediawiki/extensions/MassMessage
  - name: mediawiki/extensions/FileImporter
  - name: mediawiki/extensions/Nuke
  - name: mediawiki/extensions/OATHAuth
  - name: mediawiki/extensions/ParserMigration
  - name: mediawiki/extensions/ArticleCreationWorkflow
  - name: mediawiki/extensions/CentralLogging
  - name: mediawiki/extensions/PdfHandler
  - name: mediawiki/extensions/Poem
  - name: mediawiki/extensions/Renameuser
  - name: mediawiki/extensions/SyntaxHighlight_GeSHi
  - name: mediawiki/extensions/Thanks
  - name: mediawiki/extensions/TitleBlacklist
  - name: mediawiki/extensions/Wikibase

Change 429365 abandoned by Reedy:
Don't run PdfHandler phan jobs on older branches

https://gerrit.wikimedia.org/r/429365

Reedy renamed this task from Don't run mwext-php70-phan-docker on older extension branches to Don't run mwext-php70-phan-docker on extension branches that don't have phan config.Apr 27 2018, 12:01 AM

Change 429367 merged by jenkins-bot:
[integration/config@master] Don't run mwext-php70-phan-docker if no phan.php exists on the branch

https://gerrit.wikimedia.org/r/429367

Vvjjkkii renamed this task from Don't run mwext-php70-phan-docker on extension branches that don't have phan config to b4daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Reedy as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Yann renamed this task from b4daaaaaaa to Don't run mwext-php70-phan-docker on extension branches that don't have phan config.Jul 1 2018, 1:23 PM
Yann closed this task as Resolved.
Yann assigned this task to Reedy.
Yann raised the priority of this task from High to Needs Triage.
Yann updated the task description. (Show Details)
Yann added subscribers: gerritbot, Aklapper.